<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<p-toast position="bottom-center" key="toast" [life]="5000" [preventOpenDuplicates]="true"></p-toast>
<p-toast position="top-right" key="notification" [life]="5000" [preventOpenDuplicates]="true" [style]="{ width: 'fit-content', 'margin-top': '40px' }">
  <!-- <ng-template let-message pTemplate="headless" let-closeFn="closeFn">
    <div class="flex items-center pl-4 pr-2 text-yellow">
      <i class="fa-regular fa-bell pr-4" style="font-size: 1rem"></i>
      <div class="pr-2">New notification</div>
      <div class="size-8 flex items-center justify-center cursor-pointer" (click)="closeFn($event)">
        <i class="pi pi-times"></i>
      </div>
    </div>
  </ng-template> -->
  <ng-template let-message pTemplate="headless" let-closeFn="closeFn">
    <div class="px-2 py-4 flex flex-col items-end justify-start gap-2 pb-10">
      <div class="w-full flex items-center justify-between gap-8">
        <div class="font-semibold text-text-300 px-2 text-sm">New notification:</div>
        <div class="size-8 flex items-center justify-center cursor-pointer" (click)="closeFn($event)">
          <i class="pi pi-times"></i>
        </div>
      </div>
      <div class="border border-borderGrey rounded-sm">
        <app-notification [notification]="parseNotification(message.detail)" (onSelect)="closeFn($event)"></app-notification>
      </div>
    </div>
  </ng-template>
</p-toast>
<ng-content></ng-content>
